' USBaspLoader von Stephan Brwolf, (matrixstorm.com)
'
' 'Prog-Taste' 10s halten + Reset -> USBASP-Mode, flashen, Reset, fertig !
'
'     Res  1-M8-28 -C5- A5
' D0 -Rx-  2    27 -C4- A4
' D1 -Tx-  3    26 -C3- A3
' *   USB  4    25 -C2- A2
' D3 -D3-  5    24 -C1- A1
' D4 -D4-  6    23 -C0- A0
' USB +5V  7    22 AGnd USB
' USB Gnd  8    21 Aref
' *   16-  9    20 A+5V USB
' *   MHz 10    19 -B5- D13
' D5 -D5- 11    18 -B4- D12
' *  Prog 12    17 -B3- D11
' *   USB 13    16 -B2- D10
' D8 -B0- 14    15 -B1- D9
'-----------------------------------------------------------
' * Bauteile des USB-Anschluss (alles fr ~4Euro incl programmiertem M8):
' USB-D+ -> 3Z6 -> Gnd
' USB-D+ -> 68R -> D2      ohne USB nutzbar
' USB-D- -> 3Z6 -> Gnd
' USB-D- -> 1k5 -> +5V
' USB-D- -> 68R -> D7      ohne USB nutzbar
' Prog   -> D6 -> Gnd
' B6-B7  -> 16-Mhz-Quarz
'-----------------------------------------------------------
$regfile = "m8adef.dat"                        'mega8A !!!
'$regfile = "m8def.dat"                                     'mega8
$crystal = 16000000
$hwstack = 40
$swstack = 16
$framesize = 32

Ddrb = &B00100000                              'Led D13
Ddrc = &B00000000
Ddrd = &B00000000

Do
   Portb.5 = 1                                 'D13
   Waitms 333
   Portb.5 = 0
   Waitms 333
Loop
'end